# Implemented Quality Check Functions

Index of the main documentation of the implemented functions, their purpose and parametrization.

## Index

- [Miscellaneous](docs/funcs/Miscellaneous.md)
  - [range](docs/funcs/Miscellaneous.md#range)
  - [seasonalRange](docs/funcs/Miscellaneous.md#seasonalrange)
  - [isolated](docs/funcs/Miscellaneous.md#isolated)
  - [missing](docs/funcs/Miscellaneous.md#missing)
  - [clear](docs/funcs/Miscellaneous.md#clear)
  - [force](docs/funcs/Miscellaneous.md#force)
- [Spike Detection](docs/funcs/SpikeDetection.md)
  - [spikes_basic](docs/funcs/SpikeDetection.md#spikes_basic)
  - [spikes_simpleMad](docs/funcs/SpikeDetection.md#spikes_simplemad)
  - [spikes_slidingZscore](docs/funcs/SpikeDetection.md#spikes_slidingzscore)
  - [spikes_spektrumBased](docs/funcs/SpikeDetection.md#spikes_spektrumbased)
- [Constant Detection](docs/funcs/ConstantDetection.md)
  - [constant](docs/funcs/ConstantDetection.md#constant)
  - [constants_varianceBased](docs/funcs/ConstantDetection.md#constants_variancebased)
- [Break Detection](docs/funcs/BreakDetection.md)
  - [breaks_spektrumBased](docs/funcs/BreakDetection.md#breaks_spektrumbased)
- [Time Series Harmonization](docs/funcs/TimeSeriesHarmonization.md)
  - [harmonize_shift2Grid](docs/funcs/TimeSeriesHarmonization.md#harmonize_shift2grid)
  - [harmonize_aggregate2Grid](docs/funcs/TimeSeriesHarmonization.md#harmonize_aggregate2grid)
  - [harmonize_linear2Grid](docs/funcs/TimeSeriesHarmonization.md#harmonize_linear2grid)
  - [harmonize_interpolate2Grid](docs/funcs/TimeSeriesHarmonization.md#harmonize_interpolate2grid)
  - [harmonize_downsample](docs/funcs/TimeSeriesHarmonization.md#harmonize_downsample)
  - [harmonize](docs/funcs/TimeSeriesHarmonization.md#harmonize)
  - [deharmonize](docs/funcs/TimeSeriesHarmonization.md#deharmonize)
- [Soil Moisture](docs/funcs/SoilMoisture.md)
  - [soilMoisture_spikes](docs/funcs/SoilMoisture.md#soilmoisture_spikes)
  - [soilMoisture_breaks](docs/funcs/SoilMoisture.md#soilmoisture_breaks)
  - [soilMoisture_plateaus](docs/funcs/SoilMoisture.md#soilmoisture_plateaus)
  - [soilMoisture_byFrost](docs/funcs/SoilMoisture.md#soilmoisture_byfrost)
  - [soilMoisture_byPrecipitation](#soilmoisture_byprecipitation)
- [Machine Learning](docs/funcs/MachineLearning.md)
  - [machinelearning](docs/funcs/MachineLearning.md#machinelearning)
